package main

import (
	"github.com/gin-gonic/gin"
	"log"
	"net/http"
)

func main() {
	log.Println("Starting server...")
	e := gin.New()
	e.GET("/healthz", func(ctx *gin.Context) {
		//only return 200 status code
		ctx.Status(http.StatusOK)
	})
	err := e.Run()
	if err != nil {
		log.Fatalf("Failed to start server: %v", err)
	}
}
